# require 'cocoapods-headermap/command'

module CocoapodsHmapGod
    Pod::HooksManager.register("cocoapods-headermap", :pre_install) do |context, options|
        
        require 'cocoapods-headermap/build_settings'
        require 'cocoapods-headermap/configuration'
        require 'cocoapods-headermap/file_references_installer'
        require 'cocoapods-headermap/headers_store'
        require 'cocoapods-headermap/installer'
        require 'cocoapods-headermap/multi_pods_project_generator'
        require 'cocoapods-headermap/pod_target'
        require 'cocoapods-headermap/sandbox'
        require 'cocoapods-headermap/single_pods_project_generator'
        
        Pod::Configuration.keep_symlink_reference = options[:keep_symlink_reference] if options.key?(:keep_symlink_reference)
        Pod::Configuration.disable_system_headermap = options[:disable_system_headermap] if options.key?(:disable_system_headermap)
        Pod::Configuration.enabled_headermap_pods = options[:enabled_headermap_pods] if options.key?(:enabled_headermap_pods)
    end

    Pod::HooksManager.register("cocoapods-hmap-god", :post_install) do |context|
        # Hook `run_podfile_post_install_hooks` to change build settings rather than `:post_install`.
        # The time to perform `:post_install` is right after the pod project is generated.
    end
end
